Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 09 Mar 2021 16:39:15 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Sorry to say, but for the first time i am having a terrible time with my order delivery! Its 3 weeks and still the order hasnt been delivered! I have been calling daily on the babyshop number to deliver it but they are just saying that it will be delivered soon ، its been 3 weeks!!! its with courier company according to them but they are not delivering! I am really mad! I dont know what to do .... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2216516